Bug 408901 - Device 0 (vif) could not be connected.
Device 0 (vif) could not be connected.
Status: CLOSED DUPLICATE of bug 456926
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 12:29 EST by Thorsten Stärk
Modified: 2009-12-14 16:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 14:09:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
copied to /tmp to solve perms issues (468.44 KB, text/x-log)
2008-09-03 17:09 EDT, R P Herrold
no flags Details

  None (edit)
Description Thorsten Stärk 2007-12-03 12:29:09 EST
Description of problem:
I try to install a XEN VM. After the sparse file is created, I get the error
message:
Unable to complete install 'libvirt.libvirtError virDomainCreateLinux() failed
POST operation failed: (xend.err 'Device 0 (vif) could not be connected. Hotplug
scripts not working.')
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 681, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 649, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 666, in
_do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 503, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed POST operation failed: (xend.err
'Device 0 (vif) could not be connected. Hotplug scripts not working.')
'
I have no idea what happens here and I would like to ask for better error messages.

Version-Release number of selected component (if applicable):
default from RHEL 5.1


How reproducible:
100%

Steps to Reproduce:
1. install RHEL 5.1
2. boot XEN kernel
3. use virt-manager to install RHEL 5.1 on a new domU
  
Actual results:
I get the error msg shown above.

Expected results:
It works.

Additional info:
xend is running
Comment 1 Daniel Berrange 2008-07-11 10:05:47 EDT
So we can diagnose what was wrong, please provide

 -  the xen config file from /etc/xen/GUEST-NAME
 -  the /var/log/xen/xend.log file
 -  output of 'ifconfig -a', and 'brctl show'
Comment 2 R P Herrold 2008-09-03 17:05:35 EDT
I too can reproduce this at will with a fresh 32 bit domU install running (or trying to) on a 64 bit dom0

[root@centos-5 xen]# cat 32bitcentos5-runtime
name = "32bitcentos5"
memory = "256"
disk = [ 'tap:aio:/opt/xen/32bitcentos5.img,xvda,w', ]
vif = [ 'bridge=xenbr0', ]
bootloader="/usr/bin/pygrub"
vcpus=1
on_reboot = 'restart'
on_crash = 'restart'

## for a console, one may need to add to /etc/inittab:
##      co:2345:respawn:/sbin/agetty xvc0 9600 vt100-nav
## and also add xvc0 to /etc/securetty
## per http://wiki.centos.org/TipsAndTricks/Xen

#       VNC stuff
vfb = [ "type=vnc,vnclisten=0.0.0.0,vncdisplay=2,vncpasswd=123456" ]
vnc=1
vncpasswd='123456'

#
#       EOF
#

[root@centos-5 xen]# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:1A:A0:D7:6D:9A
          inet addr:10.16.1.101  Bcast:10.16.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:286449 errors:0 dropped:0 overruns:0 frame:0
          TX packets:221428 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:239311800 (228.2 MiB)  TX bytes:110528070 (105.4 MiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:34339 errors:0 dropped:0 overruns:0 frame:0
          TX packets:34339 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:34235484 (32.6 MiB)  TX bytes:34235484 (32.6 MiB)

peth0     Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF
          UP BROADCAST RUNNING NOARP  MTU:1500  Metric:1
          RX packets:430676 errors:0 dropped:0 overruns:0 frame:0
          TX packets:374528 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:415439958 (396.1 MiB)  TX bytes:122258778 (116.5 MiB)
          Interrupt:16

veth1     Link encap:Ethernet  HWaddr 00:00:00:00:00:00
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

veth2     Link encap:Ethernet  HWaddr 00:00:00:00:00:00
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

veth3     Link encap:Ethernet  HWaddr 00:00:00:00:00:00
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

vif0.0    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF
          UP BROADCAST RUNNING NOARP  MTU:1500  Metric:1
          RX packets:221428 errors:0 dropped:0 overruns:0 frame:0
          TX packets:286449 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:110528070 (105.4 MiB)  TX bytes:239311800 (228.2 MiB)

vif0.1    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

vif0.2    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

vif0.3    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

virbr0    Link encap:Ethernet  HWaddr 00:00:00:00:00:00
          inet addr:192.168.122.1  Bcast:192.168.122.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:26 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:4889 (4.7 KiB)

xenbr0    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF
          UP BROADCAST RUNNING NOARP  MTU:1500  Metric:1
          RX packets:2346 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:128078 (125.0 KiB)  TX bytes:0 (0.0 b)

[root@centos-5 xen]# brctl show
bridge name     bridge id               STP enabled     interfaces
virbr0          8000.000000000000       yes
xenbr0          8000.feffffffffff       no              peth0
                                                        vif0.0
[root@centos-5 xen]#                                             

I will upload the logfile in a moment
Comment 3 R P Herrold 2008-09-03 17:09:18 EDT
Created attachment 315690 [details]
copied to /tmp to solve perms issues
Comment 4 R P Herrold 2008-09-03 17:10:08 EDT
and the process table:

root@centos-5 xen]# ps afx
  PID TTY      STAT   TIME COMMAND
    1 ?        Ss     0:02 init [5]
    2 ?        S<     0:00 [migration/0]
    3 ?        SN     0:00 [ksoftirqd/0]
    4 ?        S<     0:00 [watchdog/0]
    5 ?        S<     0:00 [migration/1]
    6 ?        SN     0:00 [ksoftirqd/1]
    7 ?        S<     0:00 [watchdog/1]
    8 ?        S<     0:00 [events/0]
    9 ?        S<     0:00 [events/1]
   10 ?        S<     0:00 [khelper]
   11 ?        S<     0:00 [kthread]
   14 ?        S<     0:00  \_ [xenwatch]
   15 ?        S<     0:00  \_ [xenbus]
   18 ?        S<     0:00  \_ [kblockd/0]
   19 ?        S<     0:00  \_ [kblockd/1]
   20 ?        S<     0:00  \_ [kacpid]
  102 ?        S<     0:00  \_ [cqueue/0]
  103 ?        S<     0:00  \_ [cqueue/1]
  107 ?        S<     0:00  \_ [khubd]
  109 ?        S<     0:00  \_ [kseriod]
  166 ?        S      0:00  \_ [pdflush]
  167 ?        S      0:00  \_ [pdflush]
  168 ?        S<     0:00  \_ [kswapd0]
  169 ?        S<     0:00  \_ [aio/0]
  170 ?        S<     0:00  \_ [aio/1]
  308 ?        S<     0:00  \_ [kpsmoused]
  339 ?        S<     0:00  \_ [ata/0]
  340 ?        S<     0:00  \_ [ata/1]
  341 ?        S<     0:00  \_ [ata_aux]
  345 ?        S<     0:00  \_ [scsi_eh_0]
  346 ?        S<     0:00  \_ [scsi_eh_1]
  347 ?        S<     0:00  \_ [scsi_eh_2]
  348 ?        S<     0:00  \_ [scsi_eh_3]
  349 ?        S<     0:00  \_ [kjournald]
  381 ?        S<     0:00  \_ [kauditd]
 1604 ?        S<     0:00  \_ [kmpathd/0]
 1605 ?        S<     0:00  \_ [kmpathd/1]
 1641 ?        S<     0:00  \_ [kjournald]
 1643 ?        S<     0:00  \_ [kjournald]
 1645 ?        S<     0:00  \_ [kjournald]
 1647 ?        S<     0:00  \_ [kjournald]
 1649 ?        S<     0:00  \_ [kjournald]
 1651 ?        S<     0:00  \_ [kjournald]
 1653 ?        S<     0:00  \_ [kjournald]
 1655 ?        S<     0:00  \_ [kjournald]
 1657 ?        S<     0:00  \_ [kjournald]
 2433 ?        S<     0:00  \_ [rpciod/0]
 2434 ?        S<     0:00  \_ [rpciod/1]
  419 ?        S<s    0:00 /sbin/udevd -d
 2210 ?        S<sl   0:00 auditd
 2212 ?        S<sl   0:00  \_ /sbin/audispd
 2232 ?        Ss     0:00 /usr/sbin/restorecond
 2247 ?        Ss     0:00 syslogd -m 0
 2250 ?        Ss     0:00 klogd -x
 2266 ?        Ss     0:00 irqbalance
 2285 ?        Ss     0:00 mcstransd
 2307 ?        Ss     0:00 portmap
 2332 ?        Ss     0:00 rpc.statd
 2366 ?        Ss     0:00 rpc.idmapd
 2393 ?        Ssl    0:00 dbus-daemon --system
 2435 ?        S      0:00 [lockd]
 2461 ?        Ssl    0:01 pcscd
 2480 ?        Ss     0:00 /usr/sbin/acpid
 2500 ?        Ss     0:00 /usr/sbin/sshd
 5570 ?        Ss     0:00  \_ sshd: root@pts/9
 5580 pts/9    Ss+    0:00      \_ -bash
 2517 ?        Ss     0:00 cupsd
 2533 ?        Ss     0:00 xinetd -stayalive -pidfile /var/run/xinetd.pid
 2551 ?        SLs    0:00 ntpd -u ntp:ntp -p /var/run/ntpd.pid -g
 2611 ?        SNs    0:00 distccd --daemon --log-file=/var/log/distccd.log --ni
 2612 ?        SN     0:00  \_ distccd --daemon --log-file=/var/log/distccd.log
 2785 ?        SN     0:00  \_ distccd --daemon --log-file=/var/log/distccd.log
 2889 ?        SN     0:00  \_ distccd --daemon --log-file=/var/log/distccd.log
 2903 ?        SN     0:00  \_ distccd --daemon --log-file=/var/log/distccd.log
 2922 ?        SN     0:00  \_ distccd --daemon --log-file=/var/log/distccd.log
 2640 ?        Ss     0:00 sendmail: accepting connections
 2651 ?        Ss     0:00 sendmail: Queue runner@01:00:00 for /var/spool/client
 2667 ?        Ss     0:00 gpm -m /dev/input/mice -t exps2
 2682 ?        Ss     0:00 crond
 2723 ?        Ss     0:00 xfs -droppriv -daemon
 2738 ?        Ss     0:00 /usr/sbin/atd
 2780 ?        S      0:00 libvirtd --daemon
 2902 ?        S      0:00  \_ /usr/sbin/dnsmasq --keep-in-foreground --strict-o
 2806 ?        Ss     0:00 avahi-daemon: running [centos-5.local]
 2807 ?        Ss     0:00  \_ avahi-daemon: chroot helper
 2918 ?        Ss     0:00 hald
 2919 ?        S      0:00  \_ hald-runner
 2927 ?        S      0:00      \_ hald-addon-keyboard: listening on /dev/input/
 2929 ?        S      0:00      \_ hald-addon-acpi: listening on acpid socket /v
 2932 ?        S      0:00      \_ hald-addon-keyboard: listening on /dev/input/
 2938 ?        S      0:00      \_ hald-addon-storage: polling /dev/scd0
 3200 ?        S      0:05 xenstored --pid-file /var/run/xenstore.pid
 3205 ?        S      0:00 python /usr/sbin/xend start
 3206 ?        Sl     0:04  \_ python /usr/sbin/xend start
 3208 ?        Sl     0:00 xenconsoled --log none --timestamp none --log-dir /va
 3210 ?        Ssl    0:00 blktapctrl
 3522 ?        Ss     0:00 /sbin/dhclient -1 -q -lf /var/lib/dhclient/dhclient-e
 3578 ?        S      0:00 /usr/sbin/smartd -q never
 3602 ?        Sl     0:00 /usr/lib64/xen/bin/qemu-dm -M xenpv -d 1 -domain-name
 3706 tty1     Ss+    0:00 /sbin/mingetty tty1
 3707 tty2     Ss+    0:00 /sbin/mingetty tty2
 3708 tty3     Ss+    0:00 /sbin/mingetty tty3
 3709 tty4     Ss+    0:00 /sbin/mingetty tty4
 3710 tty5     Ss+    0:00 /sbin/mingetty tty5
 3712 tty6     Ss+    0:00 /sbin/mingetty tty6
 3716 ?        Ss     0:00 /usr/sbin/gdm-binary -nodaemon
 3943 ?        S      0:00  \_ /usr/sbin/gdm-binary -nodaemon
 3948 tty7     Ss+    0:57      \_ /usr/bin/Xorg :0 -br -audit 0 -auth /var/gdm/
 3996 ?        Ss     0:00      \_ /bin/sh /etc/xdg/xfce4/xinitrc
 4027 ?        Ss     0:00          \_ /usr/bin/ssh-agent /bin/sh -c exec -l /bi
 4064 ?        S      0:00          \_ xscreensaver -no-splash
 4068 ?        S      0:00          \_ /usr/bin/xfce4-session
 4087 ?        S      0:00              \_ xfwm4 --sm-client-id 110a100165000119
 4088 ?        S      0:00              \_ xfdesktop --sm-client-id 110a10016500
 4096 ?        S      0:02              \_ xfce4-panel --sm-client-id 110a100165
 4100 ?        S      0:00                  \_ /usr/libexec/xfce4/panel-plugins/
 4103 ?        S      0:00                  \_ /usr/libexec/xfce4/panel-plugins/
 3846 ?        Sl     0:00 /usr/libexec/gdm-rh-security-token-helper
 4072 ?        Ss     0:00 xfce-mcs-manager
 4074 ?        Ss     0:00 kdeinit Running...
 4080 ?        S      0:00  \_ klauncher [kdeinit]
 4078 ?        S      0:00 dcopserver --nosid
 4082 ?        S      0:00 kded
 4090 ?        S      0:00 /usr/libexec/gam_server
 4099 ?        S      0:00 kio_uiserver -session 110a100165000119817303700000038
 4102 ?        Ss     0:00 bt-applet --sm-disable
 4106 ?        S      0:00 /usr/libexec/gconfd-2 7
 4108 ?        Ss     0:00 /usr/bin/konsole
 4123 pts/1    Ss     0:00  \_ /bin/bash
 4237 pts/1    S+     0:00      \_ ssh -t xps400
 4110 ?        Ss     0:00 /usr/bin/konsole
 4115 pts/0    Ss     0:00  \_ /bin/bash
 4231 pts/0    S+     0:00      \_ ssh new.owlriver.com
 4112 ?        Ss     0:00 /usr/bin/konsole
 4131 pts/2    Ss     0:00  \_ /bin/bash
 4305 pts/2    S+     0:00      \_ ssh xeon
 4114 ?        Ss     0:00 /usr/bin/konsole
 4139 pts/3    Ss     0:00  \_ /bin/bash
 4234 pts/3    S+     0:00      \_ ssh -t nfs
 4261 ?        S      0:00 /bin/sh /usr/lib/firefox-3.0.1/run-mozilla.sh /usr/li
 4275 ?        Sl     1:16  \_ /usr/lib/firefox-3.0.1/firefox
 4309 ?        Ss     0:00 /usr/bin/konsole
 4310 pts/4    Ss     0:00  \_ /bin/bash
 4339 pts/4    S      0:00  |   \_ su -
 4342 pts/4    S+     0:00  |       \_ -bash
 9879 pts/17   Ss     0:00  \_ /bin/bash
 9908 pts/17   S      0:00  |   \_ su -
 9911 pts/17   S+     0:00  |       \_ -bash
13412 pts/16   Ss     0:00  \_ /bin/bash
13441 pts/16   S      0:00      \_ su -
13444 pts/16   S+     0:00          \_ -bash
 4864 ?        Ss     0:00 /sbin/netplugd -p /var/run/netplugd.pid
 5539 ?        Ss     0:00 /usr/bin/konsole
 5540 pts/8    Ss     0:00  \_ /bin/bash
 5569 pts/8    S+     0:00  |   \_ ssh root@localhost
 6432 pts/10   Ss     0:00  \_ /bin/bash
 6461 pts/10   S      0:00  |   \_ su -
 6464 pts/10   S+     0:00  |       \_ -bash
 6503 pts/11   Ss     0:00  \_ /bin/bash
 6532 pts/11   S      0:00  |   \_ su -
 6645 pts/11   S+     0:00  |       \_ -bash
 6802 pts/14   Ss     0:00  \_ /bin/bash
 6831 pts/14   S      0:00  |   \_ su -
 6834 pts/14   S+     0:00  |       \_ -bash
14169 pts/7    Ss     0:00  \_ /bin/bash
14198 pts/7    S+     0:00      \_ ssh xps400
 8133 ?        S      0:00 knotify [kdeinit]
 8185 ?        Ss     0:00 /usr/bin/konsole
 8186 pts/15   Ss+    0:00  \_ /bin/bash
14011 pts/6    Ss     0:00  \_ /bin/bash
14164 pts/6    S+     0:00  |   \_ joe stratford.txt
14134 pts/5    Ss     0:00  \_ /bin/bash
14215 pts/5    S      0:00      \_ su -
14218 pts/5    S      0:00          \_ -bash
14295 pts/5    R+     0:00              \_ ps afx
[root@centos-5 xen]#
Comment 5 R P Herrold 2008-09-03 17:10:49 EDT
no SELinux in play:

...
type=USER_START msg=audit(1220476202.016:376): user pid=14296 uid=0 auid=0 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session open acct="root" : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=CRED_DISP msg=audit(1220476202.024:377): user pid=14296 uid=0 auid=0 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: setcred acct="root" : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
type=USER_END msg=audit(1220476202.024:378): user pid=14296 uid=0 auid=0 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='PAM: session close acct="root" : exe="/usr/sbin/crond" (hostname=?, addr=?, terminal=cron res=success)'
[root@centos-5 audit]#
Comment 6 Bill Burns 2009-02-27 14:09:16 EST
Closing as a duplicate of 456926. If incorrect please re-open.

*** This bug has been marked as a duplicate of bug 456926 ***

Note You need to log in before you can comment on or make changes to this bug.